amdgpu and kernels newer than 5.2 - video issues

Everything about X, Gnome, KDE, ... and everything running on it

amdgpu and kernels newer than 5.2 - video issues

Postby milomak » 2020-07-04 22:59

so i have noticed that i get the below when trying to upgrade to kernels newer than 5.2
Code: Select all
W: Possible missing firmware /lib/firmware/amdgpu/navi12_gpu_info.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_gpu_info.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_ta.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_asd.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_sos.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_ta.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_asd.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_sos.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi14_ta.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/vega20_ta.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_rlc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_mec2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_mec.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_rlc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_mec2.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_mec.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_me.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_pfp.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_ce.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_sdma.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_sdma1.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_sdma.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi10_mes.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_vcn.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/arcturus_smc.bin for module amdgpu
W: Possible missing firmware /lib/firmware/amdgpu/navi12_dmcu.bin for module amdgpu


inxi -F reports my graphics as being
Code: Select all
Graphics:  Device-1: Advanced Micro Devices [AMD/ATI] Amethyst [Radeon R9 M395/ M395X Mac Edition]
           driver: amdgpu v: kernel
           Device-2: Apple FaceTime HD Camera (Built-in) type: USB driver: uvcvideo
           Display: x11 server: X.Org 1.20.8 driver: amdgpu,ati unloaded: fbdev,modesetting,vesa
           resolution: 2560x1440~60Hz
           OpenGL: renderer: AMD RADEON R9 M390X (TONGA DRM 3.32.0 5.2.0-21.2-liquorix-amd64 LLVM 10.0.0)
           v: 4.6 Mesa 20.1.2


i have also noticed hat the boot time is significantly slower and sometimes i am unable to boot into a number of desktop environments without error

i have tried to to find what could be the cause and i am wondering whether the card is just too old and support has been dropped for it since the last kernel that worked for me
Code: Select all
5.2.0-21.2-liquorix-amd64


i have tried the vanilla kernels and they also prop up the same errors. the latest being
Code: Select all
linux-image-5.7.0-1-amd64


i have tried many solutions that require pulling git repositories but these have not helped these particular files
Desktop: iMac Late-2015 27" 5K Retina (17,1 - 3.3GHz) - MacOS and Windows 10 (Bootcamp)/ Sid (External SSD)
Laptop: Lenovo ideapad Y700-15ISK [nVidia Optimus] (64-bit) - Sid, Win10, Solus
Kodi Box: AMD Athlon 5150 APU w/Radeon HD 8400 - Sid
milomak
 
Posts: 2044
Joined: 2009-06-09 22:20

Re: amdgpu and kernels newer than 5.2 - video issues

Postby Head_on_a_Stick » 2020-07-04 23:08

milomak wrote:i am unable to boot into a number of desktop environments without error

You should probably post these mysterious errors. Or enter them into a search engine, which may be quicker than awaiting a reply here.

The messages in your first code block are warnings rather than errors and some of them refer to firmware for which the hardware hasn't been released yet. AMD like to get ahead of the game and will submit drivers early.

milomak wrote:i have tried many solutions that require pulling git repositories but these have not helped these particular files

Please share these failed solutions so we don't waste our time posting links to https://git.kernel.org/pub/scm/linux/ke ... ree/amdgpu or the like.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12316
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: amdgpu and kernels newer than 5.2 - video issues

Postby milomak » 2020-07-04 23:39

Head_on_a_Stick wrote:You should probably post these mysterious errors. Or enter them into a search engine, which may be quicker than awaiting a reply here.

fair

The messages in your first code block are warnings rather than errors and some of them refer to firmware for which the hardware hasn't been released yet. AMD like to get ahead of the game and will submit drivers early.


so my video issues start from the first instance i start getting these errors. hence why i ask whether it may be the case that my particular card is no longer supported.

Head_on_a_Stick wrote:
milomak wrote:i have tried many solutions that require pulling git repositories but these have not helped these particular files

Please share these failed solutions so we don't waste our time posting links to https://git.kernel.org/pub/scm/linux/ke ... ree/amdgpu or the like.


in your link you will see that for instance the first file posted as a warning in my op navi12_gpu_info.bin is not in the link you provide

i have gone through may links that purport to talk this issue but don't have these files
Desktop: iMac Late-2015 27" 5K Retina (17,1 - 3.3GHz) - MacOS and Windows 10 (Bootcamp)/ Sid (External SSD)
Laptop: Lenovo ideapad Y700-15ISK [nVidia Optimus] (64-bit) - Sid, Win10, Solus
Kodi Box: AMD Athlon 5150 APU w/Radeon HD 8400 - Sid
milomak
 
Posts: 2044
Joined: 2009-06-09 22:20

Re: amdgpu and kernels newer than 5.2 - video issues

Postby Head_on_a_Stick » 2020-07-05 08:16

milomak wrote:whether it may be the case that my particular card is no longer supported

As a general rule the Linux developers do not remove support for hardware but regressions are unfortunately common so perhaps try https://wiki.debian.org/DebianKernel/GitBisect

milomak wrote:navi12_gpu_info.bin is not in the link you provide

That firmware doesn't seem to be available yet but neither is the hardware for which it is required (AFAIK).
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12316
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: amdgpu and kernels newer than 5.2 - video issues

Postby stevepusser » 2020-07-06 04:00

You should also make it clear that you're using Sid/Bullseye or (hopefully not) a FrankenDebian, since llvm-10 is not availabe in stable or stable-backports, which introduces its own set of complications.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: LibreOffice 7.0.0, QMPlay2 20.07.04, Pale Moon 28.12.0, KeepassXC 2.6.0, Arqiver 0.6.0+git, Foliate 2.4.2
User avatar
stevepusser
 
Posts: 11891
Joined: 2009-10-06 05:53

Re: amdgpu and kernels newer than 5.2 - video issues

Postby milomak » 2020-07-16 21:45

stevepusser wrote:You should also make it clear that you're using Sid/Bullseye or (hopefully not) a FrankenDebian, since llvm-10 is not availabe in stable or stable-backports, which introduces its own set of complications.

i thought my signature sorted that out

but i'll take the point that people don't necessarily look at them
Desktop: iMac Late-2015 27" 5K Retina (17,1 - 3.3GHz) - MacOS and Windows 10 (Bootcamp)/ Sid (External SSD)
Laptop: Lenovo ideapad Y700-15ISK [nVidia Optimus] (64-bit) - Sid, Win10, Solus
Kodi Box: AMD Athlon 5150 APU w/Radeon HD 8400 - Sid
milomak
 
Posts: 2044
Joined: 2009-06-09 22:20

Re: amdgpu and kernels newer than 5.2 - video issues

Postby stevepusser » 2020-07-17 02:53

Maybe do some graphic benchmarks between the different kernels to see if performance is degraded. The firmware warnings are just because the Debian firmware is a year old now and far behind the kernels, but your GPU is not outdated and the warnings can be ignored in your case.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: LibreOffice 7.0.0, QMPlay2 20.07.04, Pale Moon 28.12.0, KeepassXC 2.6.0, Arqiver 0.6.0+git, Foliate 2.4.2
User avatar
stevepusser
 
Posts: 11891
Joined: 2009-10-06 05:53


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable